package com.unis.module.coding.service.hwk;

import java.util.*;
import javax.validation.*;
import com.unis.framework.common.pojo.PageResult;
import com.unis.framework.common.pojo.PageParam;
import com.unis.module.coding.controller.admin.hwk.vo.HwkPageReqVO;
import com.unis.module.coding.controller.admin.hwk.vo.HwkRespVO;
import com.unis.module.coding.controller.admin.hwk.vo.HwkSaveReqVO;
import com.unis.module.coding.dal.dataobject.hwk.HwkDO;

/**
 * 货位卡信息 Service 接口
 *
 * @author 超级管理员
 */
public interface HwkService {

    /**
     * 创建货位卡信息
     *
     * @param createReqVO 创建信息 有id修改，无id创建
     * @return 编号
     */
    Long createHwk(@Valid HwkSaveReqVO createReqVO);

    /**
     * 更新货位卡信息
     *
     * @param updateReqVO 更新信息
     */
    void updateHwk(@Valid HwkSaveReqVO updateReqVO);

    /**
     * 删除货位卡信息
     *
     * @param id 编号
     */
    void deleteHwk(Long id);

    /**
     * 获得货位卡信息
     *
     * @param id 编号
     * @return 货位卡信息
     */
    HwkDO getHwk(Long id);

    /**
     * 获得货位卡信息分页
     *
     * @param pageReqVO 分页查询
     * @return 货位卡信息分页
     */
    PageResult<HwkDO> getHwkPage(HwkPageReqVO pageReqVO);
    /**
     * 根据仓房id获得货位卡信息
     *
     * @param id 仓房id
     * @return 仓房对应的货位卡信息
     */
    HwkDO getHwkByCfId(Long id);
}